Bug 190879 - Bug when UTF-32 straddles buffers
Bug when UTF-32 straddles buffers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
http://dev.icu-project.org/cgi-bin/ic...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 16:59 EDT by Tim Ruddick
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.4-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 10:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (1.16 KB, text/plain)
2006-05-05 16:59 EDT, Tim Ruddick
no flags Details

  None (edit)
Description Tim Ruddick 2006-05-05 16:59:43 EDT
Description of problem:

 Please see bug report in ICU's bug tracking system:
 http://dev.icu-project.org/cgi-bin/icu-bugs?findid=5195

Version-Release number of selected component (if applicable):

 All versions

How reproducible:

 Consistently, easily reproducible.

Steps to Reproduce:

 See attached program.
  
Actual results:

 0030 0031 fffd

Expected results:

 0030 0031

Additional information:

 A fix for this bug has been committed to ICU's CVS repository.  Relevant URLs:

 http://dev.icu-project.org/cgi-bin/bugdiffs?id=5195&ignore_attic=on

 http://dev.icu-project.org/cgi-bin/viewcvs.cgi/icu/source/common/ucnv_u32.c?r2=1.18&r1=1.17&diff_format=u
Comment 1 Tim Ruddick 2006-05-05 16:59:43 EDT
Created attachment 128679 [details]
Test case
Comment 2 Caolan McNamara 2006-05-09 10:59:58 EDT
fix pushed into rawhide icu 3.4-9

Note You need to log in before you can comment on or make changes to this bug.